#ifndef INTEGER_HPP_INCLUDED
#define INTEGER_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"

class Integer : public Object
{
    public:
        Integer();
        Integer(void* Obj);
        Integer(const Integer& I);
        Integer(std::int32_t Value);
        std::int32_t GetIntValue() const;
};

#endif // INTEGER_HPP_INCLUDED
